Can't update libreoffice latest realease

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read this

Can't update libreoffice latest realease

Postby irfs on Sun Sep 30, 2012 1:11 am

Hello, everybody.

Thanks for visiting this page and i hope you don't mind to help me.

I have a basic question since I have been running my computer LMDE. Yesterday I used to have Ubuntu and it was very easy to use. When I wanted to update my software, I just needed to add repository, for example, in terminal "sudo add-apt-repository ppa:libreoffice/ppa" for updating Libreoffice 3.5.1 to 3.6.1. My question is "how to update my Libreoffice in my new LMDE?"

Thank you
irfs
Level 1
Level 1
 
Posts: 1
Joined: Sun Sep 30, 2012 12:33 am
Location: Bogor Indonesia

Linux Mint is funded by ads and donations.
 

Re: Can't update libreoffice latest realease

Postby axel668 on Sun Sep 30, 2012 2:22 am

There's no such thing as PPAs in Debian, but the LibreOffice guys have a Howto here: http://www.libre-software.net/how-to-in ... linux-mint (it's titled Ubuntu / Mint but will work for LMDE, too)
“A computer lets you make more mistakes faster than any invention in human history - with the possible exceptions of handguns and tequila” (Mitch Ratcliffe)
User avatar
axel668
Level 3
Level 3
 
Posts: 183
Joined: Wed Jul 08, 2009 11:56 am

Re: Can't update libreoffice latest realease

Postby kra4ol4e on Mon Oct 01, 2012 7:08 am

Or you can get it from Debian's experimental repository ;]
kra4ol4e
Level 1
Level 1
 
Posts: 1
Joined: Tue Jul 03, 2012 2:28 pm

Re: Can't update libreoffice latest realease

Postby Tim-int on Mon Mar 25, 2013 6:42 am

I read viewtopic.php?f=190&t=128503 and I'm still not clear why LibreOffice is at version 3.5. in LMDE, when that version is outdated and not supported by LibreOffice. Stable version now is 3.6.x. and 3.5 support is discontinued
I can see that LO is at 3.5 at http://packages.debian.org/testing/ and there is no LO at http://packages.linuxmint.com/list.php?release=Debian. Since LO is maybe the most important user app for a general user, it'd be nice to make it updated in LMDE, so that it uses latest stable release from the oldest branch (it'd be 3.6.x now).
Tim-int
Level 1
Level 1
 
Posts: 38
Joined: Tue Nov 29, 2011 2:30 pm

Re: Can't update libreoffice latest realease

Postby zerozero on Mon Mar 25, 2013 6:49 am

Tim-int wrote:and I'm still not clear why LibreOffice is at version 3.5
because that is the version in debian testing at the moment and with the freeze we don't see many new features added.
zerozero
Level 16
Level 16
 
Posts: 6469
Joined: Tue Jul 07, 2009 2:29 pm

Re: Can't update libreoffice latest realease

Postby eanfrid on Mon Mar 25, 2013 9:51 am

As told above, FWIW on my Debian Wheezy I currently have LO 4.x running fine by using official Debian "experimental" repos. When Wheezy is released, new(er) LO versions will come easier.
Main desktop: Debian GNU/Linux Wheezy 64bit w/custom 3.14 longterm kernel - MATE 1.8.1
(i5 2400@3.7GHz - 16GB DDR3 - HD6770 w/radeon driver - SSD+RAID1)
User avatar
eanfrid
Level 7
Level 7
 
Posts: 1618
Joined: Mon Apr 30, 2012 2:49 am
Location: there is no place like ~

Re: Can't update libreoffice latest realease

Postby Tim-int on Mon Sep 09, 2013 8:58 am

There is some discussion at viewtopic.php?f=200&t=135428 about UP7. It even mentions Firefox which is regularly updated. I'd say it's LibreOffice which is properly updated not in Debian.

I can see that UP7 is near, it's in "incoming" repos of LMDE, as announced on viewtopic.php?f=187&t=144198.
LO there will be upgraded from 3.5.4 (UP6) to 4.0.3-3 (UP7). I would even say that's too much. Current stable LO is 3.6.7. Even LO 4.0.5 has a lot of new bugs, not to mention LO 4.1.1. As a LO user, I'd pick last supported release which is 3.6.7. now.
LO in http://packages.debian.org/testing/editors/ is currently 4.1.0-5 and there is no LO in http://packages.debian.org/experimental/editors/. LO 4.1.x is not a good choice for everyday use, so it's good it's not in UP7.

BTW very good LMDE FAQ post at viewtopic.php?f=197&t=91405.
Tim-int
Level 1
Level 1
 
Posts: 38
Joined: Tue Nov 29, 2011 2:30 pm

Re: Can't update libreoffice latest realease

Postby mike acker on Sat Sep 14, 2013 10:16 am

Tim-int wrote:There is some discussion at viewtopic.php?f=200&t=135428 about UP7. It even mentions Firefox which is regularly updated. I'd say it's LibreOffice which is properly updated not in Debian.

I can see that UP7 is near, it's in "incoming" repos of LMDE, as announced on viewtopic.php?f=187&t=144198.
LO there will be upgraded from 3.5.4 (UP6) to 4.0.3-3 (UP7). I would even say that's too much. Current stable LO is 3.6.7. Even LO 4.0.5 has a lot of new bugs, not to mention LO 4.1.1. As a LO user, I'd pick last supported release which is 3.6.7. now.
LO in http://packages.debian.org/testing/editors/ is currently 4.1.0-5 and there is no LO in http://packages.debian.org/experimental/editors/. LO 4.1.x is not a good choice for everyday use, so it's good it's not in UP7.

BTW very good LMDE FAQ post at viewtopic.php?f=197&t=91405.


not me: to get compatibility w/ MSFT/Office you need the cuurrent LibreOffice . just downloaded 4.1 from their site. I might get the update by doing an un-install/install process on the software manager or i might have to go thru the apt-get bit. we'll see.
Home assembled box using ASUS M5A88-M motherboard and AMD Phenom II X4 3.4GHz cpu
User avatar
mike acker
Level 4
Level 4
 
Posts: 342
Joined: Wed Jul 31, 2013 6:29 pm
Location: Kalamazoo, MI

Re: Can't update libreoffice latest realease

Postby Tim-int on Thu Jul 10, 2014 8:45 am

Allow me to disagree. As I explained in viewtopic.php?f=143&t=171461&p=888459#p888459 : "What is important is to upgrade to LO 4.2.x versions as they become available and NOT to upgrade to LO 4.3.x at least until 4.3.4 or 4.3.5 because those early versions are buggy. " Yes, you get new features, but you also get data loss, which is unacceptable.
Tim-int
Level 1
Level 1
 
Posts: 38
Joined: Tue Nov 29, 2011 2:30 pm

Re: Can't update libreoffice latest realease

Postby mike acker on Sat Jul 19, 2014 6:28 pm

Tim-int wrote:Allow me to disagree. As I explained in viewtopic.php?f=143&t=171461&p=888459#p888459 : "What is important is to upgrade to LO 4.2.x versions as they become available and NOT to upgrade to LO 4.3.x at least until 4.3.4 or 4.3.5 because those early versions are buggy. " Yes, you get new features, but you also get data loss, which is unacceptable.


I think that to a considerable degree we, as Linux users, are expected to do a few more of the chores for ourselves
I think this just "goes with the territory"

AFAIK we are lacking a volunteer to maintain the gizzies that would keep LibreOffice updated.
I think this may be a mixed blessing: a bit less automatic -- and a bit more end user control. With LibreOffice the end user control may not be such a bad idea. If you get an update that doesn't work right for you -- you can back-level it and wait for the next one. I had to back level 4.2.4 but when 4.2.5 became available it was fine and i'm running that now.

the one thing i think we need in all updates that are of the download and unpack nature ( .deb updates ) -- we should have MD5 checksums for these updates. authentication should be *mandatory* for all software updates.
Home assembled box using ASUS M5A88-M motherboard and AMD Phenom II X4 3.4GHz cpu
User avatar
mike acker
Level 4
Level 4
 
Posts: 342
Joined: Wed Jul 31, 2013 6:29 pm
Location: Kalamazoo, MI

Linux Mint is funded by ads and donations.
 

Return to Newbie Questions

Who is online

Users browsing this forum: No registered users and 3 guests